import org.kwis.msp.lcdui.*;
import org.kwis.msp.lwc.*;

public class AlphaTest extends Jlet
{
	protected void startApp(String args[]){
		Display dis = Display.getDefaultDisplay();
		dis.pushCard(new SampleCard());
        }
	protected void destroyApp(boolean b){
	}
};

class SampleCard extends Card
{
	public void paint(Graphics g)
	{
		g.setColor(0xff0000);
		g.fillRect(30,30,getWidth()/2,getHeight()/2);

		g.setColor(0x00ff00);
		g.setAlpha(100);
		g.fillRect(60,60,getWidth()/2,getHeight()/2);


		g.setAlpha(250);
		g.fillRect(0,0,getWidth()/2,getHeight()/2);
	}
};
